Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004340OCamlCamlp4public2007-07-11 21:182010-04-29 14:26
Reporterjm 
Assigned Toertai 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.10+dev 
Target VersionFixed in Version3.10+dev 
Summary0004340: Camlp4 outputs ?(arg: typ = something) ?((arg: typ) = something)
Description$ cat test.ml4
let f ?(a: int = 42) () = a

$ camlp4o -printer o -impl test.ml4 > test.ml
$ cat test.ml
let f ?((a : int) = 42) () = a

$ ocamlc -c test.ml
File "test.ml", line 1, characters 8-9:
Syntax error

Additional InformationThe "abstract output" does not have this problem.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0004120)
ertai (developer)
2007-07-25 17:50

That's now fixed in the CVS. Thanks for reporting.

- Issue History
Date Modified Username Field Change
2007-07-11 21:18 jm New Issue
2007-07-25 17:50 ertai Note Added: 0004120
2007-07-25 17:50 ertai Assigned To => ertai
2007-07-25 17:50 ertai Status new => resolved
2007-07-25 17:50 ertai Resolution open => fixed
2007-07-25 17:50 ertai Fixed in Version => 3.10+dev
2010-04-29 14:26 xleroy Status resolved => closed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker